## org.apache.sling.jcr.compiler
Interface JcrJavaCompiler

All Known Implementing Classes:
  JcrJavaCompilerImpl

    public interface JcrJavaCompiler

The `JcrJavaCompiler` compiles Java source code stored in the repository and writes the generated class files by using the class loader writer.

Method Summary
`org.apache.sling.commons.compiler.CompilationResult` `compile(java.lang.String[] srcFiles, org.apache.sling.commons.compiler.Options options)` Compile source from the repository.
`org.apache.sling.commons.compiler.CompilationResult` `compile(java.lang.String[] srcFiles, java.lang.String outputDir, org.apache.sling.commons.compiler.Options options)` Deprecated.

Method Detail

### compile

    @Deprecated
    org.apache.sling.commons.compiler.CompilationResult compile(java.lang.String[] srcFiles,
                                                                           java.lang.String outputDir,
                                                                           org.apache.sling.commons.compiler.Options options)
                                                                throws java.lang.Exception

  Deprecated.

  Compile source from the repository.

  Parameters:
    `srcFiles` - The array of path in the repository pointing to the source
    `outputDir` - - Not supported anymore - the classes are written using the class loader writer
    `options` - - Optional options
  Throws:
    `java.lang.Exception`
  Since:
    2.0

### compile

    org.apache.sling.commons.compiler.CompilationResult compile(java.lang.String[] srcFiles,
                                                                org.apache.sling.commons.compiler.Options options)
                                                                throws java.lang.Exception

  Compile source from the repository.

  Parameters:
    `srcFiles` - The array of path in the repository pointing to the source
    `options` - - Optional options
  Throws:
    `java.lang.Exception`
  Since:
    2.1

Copyright © 2007-2012 The Apache Software Foundation. All Rights Reserved.